> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve API token

> Get API token by ID



## OpenAPI

````yaml v2 get /tokens/{id}
openapi: 3.0.0
info:
  description: A public and stable API for interacting with axiom services
  title: Axiom
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://api.axiom.co/v2/
security:
  - bearerAuth: []
paths:
  /tokens/{id}:
    get:
      tags:
        - tokens
      description: Get API token by ID
      operationId: getAPIToken
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIToken'
      security:
        - Auth:
            - apiTokens|read
components:
  schemas:
    APIToken:
      type: object
      required:
        - id
        - name
        - datasetCapabilities
        - orgCapabilities
      properties:
        datasetCapabilities:
          $ref: '#/components/schemas/datasetCapabilities'
        description:
          description: Description of the token
          type: string
        expiresAt:
          description: Expiration date of the token (ISO 8601 format)
          type: string
          format: date-time
          readOnly: true
          nullable: true
        id:
          description: ID of the token
          type: string
        name:
          description: Name of the token
          type: string
        orgCapabilities:
          $ref: '#/components/schemas/orgCapabilities'
        samlAuthenticated:
          type: boolean
        viewCapabilities:
          $ref: '#/components/schemas/viewCapabilities'
    datasetCapabilities:
      type: object
      additionalProperties:
        properties:
          data:
            description: Data Management capability
            type: array
            items:
              type: string
              enum:
                - delete
            x-omitempty: true
          ingest:
            description: Ingest capability
            type: array
            items:
              type: string
              enum:
                - create
            x-omitempty: true
          query:
            description: Query capability
            type: array
            items:
              type: string
              enum:
                - read
            x-omitempty: true
          share:
            description: Sharing dataset capability
            type: array
            items:
              type: string
              enum:
                - create
                - read
                - delete
            x-omitempty: true
          starredQueries:
            description: Starred queries capability
            type: array
            items:
              type: string
              enum:
                - create
                - read
                - update
                - delete
            x-omitempty: true
          trim:
            description: Data Trimming capability
            type: array
            items:
              type: string
              enum:
                - update
            x-omitempty: true
          vacuum:
            description: Field Vacuuming capability
            type: array
            items:
              type: string
              enum:
                - update
            x-omitempty: true
          virtualFields:
            description: Virtual fields capability
            type: array
            items:
              type: string
              enum:
                - create
                - read
                - update
                - delete
            x-omitempty: true
    orgCapabilities:
      type: object
      properties:
        annotations:
          description: Annotations capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        apiTokens:
          description: API tokens capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        auditLog:
          description: Audit Log capability
          type: array
          items:
            type: string
            enum:
              - read
          x-omitempty: true
        billing:
          description: Billing capability
          type: array
          items:
            type: string
            enum:
              - read
              - update
          x-omitempty: true
        dashboards:
          description: Dashboards capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        datasets:
          description: Datasets capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        endpoints:
          description: Endpoints capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        flows:
          description: Flows capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        integrations:
          description: Integrations capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        monitors:
          description: Monitors capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        notifiers:
          description: Notifiers capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        rbac:
          description: Access control capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        sharedAccessKeys:
          description: Shared access keys capability
          type: array
          items:
            type: string
            enum:
              - read
              - update
          x-omitempty: true
        users:
          description: Users capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
        views:
          description: Views capability
          type: array
          items:
            type: string
            enum:
              - create
              - read
              - update
              - delete
          x-omitempty: true
    viewCapabilities:
      type: object
      additionalProperties:
        properties:
          query:
            description: Query capability
            type: array
            items:
              type: string
              enum:
                - read
            x-omitempty: true
          share:
            description: Sharing view capability
            type: array
            items:
              type: string
              enum:
                - create
                - read
                - delete
            x-omitempty: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````

Built with [Mintlify](https://mintlify.com).